/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#include<stdio.h>
#include "globals.h"

//  regular input stuff
FILE *fp_in;


// this other stuff is all kinds of testing stuff that gets used 
// for the various validation routines 
//
// NOTE: the pointers are for arrays which may be needed and are
//       established in the processing of the command line
//
//       the Y/N variables should always be present since they are used
//       in tests to determine if the array values should be used or
//       not (the same index name is used to index both arrays since
//       only one array is used during a single run, and having the same
//       index name is helpful for coding purposes)
//

FILE *fp_in;
int file_id;

int rand_test_yn = 0;
int rand_tree_test_yn = 0;

FILE *fp_in_rand;
double * rand_num_test;
long unsigned * rand_num_tree_test;
int * rand_num_node_tree_test;

int rand_num_test_index = 0;

